GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Macros | Typedefs
timers_preciseclock.h File Reference
`#include <grpc/support/sync.h>`
`#include <grpc/support/time.h>`
`#include <stdio.h>`

Go to the source code of this file.

## Data Structures
struct | grpc_precise_clock

## Macros
#define | GRPC_PRECISE_CLOCK_FORMAT "%ld.%09d"
#define | GRPC_PRECISE_CLOCK_PRINTF_ARGS(clk) (clk)->clock.tv_sec, (clk)->clock.tv_nsec

## Typedefs
typedef struct grpc_precise_clock | grpc_precise_clock

## Macro Definition Documentation

#define GRPC_PRECISE_CLOCK_FORMAT "%ld.%09d"

#define GRPC_PRECISE_CLOCK_PRINTF_ARGS | ( |  | clk | ) | (clk)->clock.tv_sec, (clk)->clock.tv_nsec

## Typedef Documentation

typedef struct grpc_precise_clock grpc_precise_clock